package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RtSwitchData implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 伍继电力test_183消费组开关量数据表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    @TableField("deviceName")
    private String deviceName;

    /**
     * A相燃弧(0 正常  1 告警)
     */
    @TableField("ArcA")
    private Integer ArcA;

    /**
     * B相燃弧(0 正常  1 告警)
     */
    @TableField("ArcB")
    private Integer ArcB;

    /**
     * C相燃弧(0 正常  1 告警)
     */
    @TableField("ArcC")
    private Integer ArcC;

    /**
     * 母线停电(0 正常  1 告警)
     */
    @TableField("BusOutage")
    private Integer BusOutage;

    /**
     * 开入1(0 正常  1 告警)
     */
    @TableField("DI1")
    private Integer di1;

    /**
     * 开入2(0 正常  1 告警)
     */
    @TableField("DI2")
    private Integer di2;

    /**
     * 开入3(0 正常  1 告警)
     */
    @TableField("DI3")
    private Integer di3;

    /**
     * 开出1(0 正常  1 告警)
     */
    @TableField("DO1")
    private Integer do1;

    /**
     * 开出2(0 正常  1 告警)
     */
    @TableField("DO2")
    private Integer do2;

    /**
     * 设备异常(0 正常  1 告警)
     */
    @TableField("DevAbnormal")
    private Integer DevAbnormal;

    /**
     * 线路电气故障总(0 正常  1 告警)
     */
    @TableField("EleAlarm")
    private Integer EleAlarm;

    /**
     * 火灾预警总(0 正常  1 告警)
     */
    @TableField("FireAlarm")
    private Integer FireAlarm;

    /**
     * 线路开关状态(0 正常  1 告警)
     */
    @TableField("LoadBrkState")
    private Integer LoadBrkState;

    /**
     * 线路带电(0 正常  1 告警)
     */
    @TableField("LoadLive")
    private Integer LoadLive;

    /**
     * 测量通道故障(0 正常  1 告警)
     */
    @TableField("MeasFailure")
    private Integer MeasFailure;

    /**
     * 消音(0 正常  1 告警)
     */
    @TableField("Mute")
    private Integer Mute;

    /**
     * 有功需量超限(0 正常  1 告警)
     */
    @TableField("OverDemandP")
    private Integer OverDemandP;

    /**
     * 视在需量超限(0 正常  1 告警)
     */
    @TableField("OverDemandS")
    private Integer OverDemandS;

    /**
     * 环境温度越限(0 正常  1 告警)
     */
    @TableField("OverEvT")
    private Integer OverEvT;

    /**
     * 电流越限(0 正常  1 告警)
     */
    @TableField("OverI")
    private Integer OverI;

    /**
     * 电流谐波越限(0 正常  1 告警)
     */
    @TableField("OverIH")
    private Integer OverIH;

    /**
     * 剩余电流越限(0 正常  1 告警)
     */
    @TableField("OverIr")
    private Integer OverIr;

    /**
     * 测温点1超温(0 正常  1 告警)
     */
    @TableField("OverT1")
    private Integer OverT1;

    /**
     * 测温点2超温(0 正常  1 告警)
     */
    @TableField("OverT2")
    private Integer OverT2;

    /**
     * 测温点3超温(0 正常  1 告警)
     */
    @TableField("OverT3")
    private Integer OverT3;

    /**
     * 测温点4超温(0 正常  1 告警)
     */
    @TableField("OverT4")
    private Integer OverT4;

    /**
     * 电压谐波越限(0 正常  1 告警)
     */
    @TableField("OverUH")
    private Integer OverUH;

    /**
     * 过压(0 正常  1 告警)
     */
    @TableField("OverV")
    private Integer OverV;

    /**
     * 缺相(0 正常  1 告警)
     */
    @TableField("PhaseLoss")
    private Integer PhaseLoss;

    /**
     * 备用遥信1(0 正常  1 告警)
     */
    @TableField("ResDI1")
    private Integer ResDI1;

    /**
     * 备用遥信2(0 正常  1 告警)
     */
    @TableField("ResDI2")
    private Integer ResDI2;

    /**
     * 备用遥信3(0 正常  1 告警)
     */
    @TableField("ResDI3")
    private Integer ResDI3;

    /**
     * 备用遥信4(0 正常  1 告警)
     */
    @TableField("ResDI4")
    private Integer ResDI4;

    /**
     * 跳闸(0 正常  1 告警)
     */
    @TableField("Trip")
    private Integer Trip;

    /**
     * 欠压(0 正常  1 告警)
     */
    @TableField("UnderV")
    private Integer UnderV;

    /**
     * 上报时间
     */
    @TableField("dataTime")
    private LocalDateTime dataTime;


}
