package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WcUser implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 公众号用户表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 手机号/用户名
     */
    private String phone;

    /**
     * 公众号openid
     */
    private String openId;

    /**
     * 类型：wx、app
     */
    private String registrationType;

    /**
     * 添加时间
     */
    private LocalDateTime createTime;

    /**
     * 使能标识：1可用；0不可用
     */
    private Integer enable;


}
