package com.bizmatics.persistence.mapper;

import com.bizmatics.model.Device;
import com.bizmatics.model.Site;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface SiteMapper extends CrudMapper<Site> {



    int selectCount(@Param("userId") Integer userId,
                    @Param("siteId") Integer siteId,
                    @Param("siteStatus") Integer siteStatus);

    List<Site> list(@Param("userId") Integer userId,
                    @Param("name") String name);


    List<Device> idList(@Param("userId") Integer userId,
                        @Param("name") String name);



}
