package com.bizmatics.service.vo;

import com.bizmatics.service.config.CustomerDoubleSerialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

/**
 * @author yq
 * @date 2021/7/8 14:45
 */
@Data
public class HadCountVO {

    /**
     * 日用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double dayCount;

    /**
     * 月用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double monthCount;

    /**
     * 年用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double yearCount;

    /**
     * 昨天用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double lastDayCount;
    /**
     * 上月用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double lastMonthCount;

    /**
     * 年用电量
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double lastYearCount;

    /**
     * 日期比例
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double dayRadio;
    /**
     * 月比例
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double monthRadio;

    /**
     * 年比例
     */
    @JsonSerialize(using = CustomerDoubleSerialize.class)
    private Double yearRadio;
}
