package com.bizmatics.service.vo;

import lombok.Data;

import java.util.List;

/**
 * had计算结果vo
 * @author yq
 * @date 2021/7/18 19:01
 */
@Data
public class HadCrVO {

    private Integer siteId;
    /**
     * 总条数
      */
    private Integer count;
    /**
     * demand总数
     */
    private Double sumDemand;
    /**
     * 平均数
     */
    private Double hadAvg;
    /**
     * 最大值
     */
    private Double hadMax;
    /**
     * 最小值
     */
    private Double hadMin;

    /**
     * 差值
     */
    private Double hadDif;


    private List<HadCrVO> list;

}
