package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.User;
import com.bizmatics.service.UserService;
import com.bizmatics.service.util.SessionLocal;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 *
 * 用户
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @GetMapping("/login")
    public ApiResult<User> login(@RequestParam String name, @RequestParam String password, HttpServletRequest request){
        return ApiResult.success(userService.login(name, password, request));
    }
}

