package com.bizmatics.service;

import com.bizmatics.model.HadSiteStatic;
import com.bizmatics.common.mvc.base.CrudService;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-07-20
 */
public interface HadSiteStaticService extends CrudService<HadSiteStatic> {



     HadSiteStatic oneBySite(Integer siteId, Date startTime,Date endTime);

     List<HadSiteStatic> list(Integer siteId, Date startTime, Date endTime);

     List<HadSiteStatic> list(Integer siteId, Date startTime, Date endTime,Integer userId);



     Double getCount(Integer userId, Date startTime, Date endTime,Integer siteId);


}
